import { RecordModel } from "pocketbase"

import { AppInfoModel } from "../../constant/config"
import { managePbError } from "../../utils/pbTools"
import pbClient from "../pbClient"

const DB_NAME = "message_group"

export interface ReceiveGroup {
  name: string
  chatId?: string[]
  userId?: string[]
}

export type ReceiveGroupModel = ReceiveGroup & RecordModel

export interface ReceiveGroupModelWithApp extends ReceiveGroupModel {
  expand: {
    app: AppInfoModel
  }
}

/**
 * 根据ID获取指定消息组
 * @param id
 * @returns
 */
const getOne = (id: string) =>
  managePbError<ReceiveGroupModelWithApp>(() =>
    pbClient.collection(DB_NAME).getOne(id, {
      expand: "app",
    })
  )

const receiveGroup = {
  getOne,
}

export default receiveGroup
